Debian Bug report logs - #616403
Haskell package names dropped the 6 from libghc6-

version graph

Package: lintian; Maintainer for lintian is Debian Lintian Maintainers <lintian-maint@debian.org>; Source for lintian is src:lintian.

Reported by: Joachim Breitner <nomeata@debian.org>

Date: Fri, 4 Mar 2011 05:33:01 UTC

Severity: normal

Tags: patch

Found in version lintian/2.4.3

Fixed in version lintian/2.5.0~rc2

Done: Niels Thykier <niels@thykier.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-haskell@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#616403; Package lintian. (Fri, 04 Mar 2011 05:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
New Bug report received and forwarded. Copy sent to debian-haskell@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>. (Fri, 04 Mar 2011 05:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Haskell package names dropped the 6 from libghc6-
Date: Fri, 04 Mar 2011 10:59:20 +0530
[Message part 1 (text/plain, inline)]
Package: lintian
Version: 2.4.3
Severity: normal
Tags: patch

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

Haskell package names will be libghc-.. in the future. Lintian has
regexes matching Haskell package names in two positions. I changed these
to libghc6?- to match both old and new names. (Attached patch actually
untested)

Greetings,
Joachim

- -- System Information:
Debian Release: 6.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (101, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.36-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages lintian depends on:
ii  binutils               2.20.1-16         The GNU assembler, linker and bina
ii  diffstat               1.54-1            produces graph of changes introduc
ii  dpkg-dev               1.15.8.10         Debian package development tools
ii  file                   5.04-5            Determines file type using "magic"
ii  gettext                0.18.1.1-3        GNU Internationalization utilities
ii  intltool-debian        0.35.0+20060710.1 Help i18n of RFC822 compliant conf
ii  libapt-pkg-perl        0.1.24+b1         Perl interface to libapt-pkg
ii  libclass-accessor-perl 0.34-1            Perl module that automatically gen
ii  libipc-run-perl        0.89-1            Perl module for running processes
ii  libparse-debianchangel 1.1.1-2.1         parse Debian changelogs and output
ii  libtimedate-perl       1.2000-1          collection of modules to manipulat
ii  liburi-perl            1.58-1            module to manipulate and access UR
ii  locales                2.11.2-10         Embedded GNU C Library: National L
ii  man-db                 2.5.7-8           on-line manual pager
ii  perl [libdigest-sha-pe 5.10.1-17         Larry Wall's Practical Extraction 

lintian recommends no packages.

Versions of packages lintian suggests:
pn  binutils-multiarch            <none>     (no description available)
ii  libtext-template-perl         1.45-2     Text::Template perl module
ii  man-db                        2.5.7-8    on-line manual pager

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk1weLAACgkQ9ijrk0dDIGzHVgCgoYhOtk+UF3cymBrc6KAdLo74
8ucAn27hfi8Hg/H2sXxWLdu1b0lpv59a
=WHtF
-----END PGP SIGNATURE-----
[0001-Haskell-package-names-dropped-the-6-from-libghc6.patch (text/plain, attachment)]

Added tag(s) pending. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Sun, 27 Mar 2011 10:51:06 GMT) Full text and rfc822 format available.

Reply sent to Niels Thykier <niels@thykier.net>:
You have taken responsibility. (Tue, 05 Apr 2011 19:51:08 GMT) Full text and rfc822 format available.

Notification sent to Joachim Breitner <nomeata@debian.org>:
Bug acknowledged by developer. (Tue, 05 Apr 2011 19:51:08 GMT) Full text and rfc822 format available.

Message #12 received at 616403-close@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: 616403-close@bugs.debian.org
Subject: Bug#616403: fixed in lintian 2.5.0~rc2
Date: Tue, 05 Apr 2011 19:47:18 +0000
Source: lintian
Source-Version: 2.5.0~rc2

We believe that the bug you reported is fixed in the latest version of
lintian, which is due to be installed in the Debian FTP archive:

lintian_2.5.0~rc2.dsc
  to main/l/lintian/lintian_2.5.0~rc2.dsc
lintian_2.5.0~rc2.tar.gz
  to main/l/lintian/lintian_2.5.0~rc2.tar.gz
lintian_2.5.0~rc2_all.deb
  to main/l/lintian/lintian_2.5.0~rc2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 616403@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Niels Thykier <niels@thykier.net> (supplier of updated lintian package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 05 Apr 2011 20:25:09 +0200
Source: lintian
Binary: lintian
Architecture: source all
Version: 2.5.0~rc2
Distribution: unstable
Urgency: low
Maintainer: Debian Lintian Maintainers <lintian-maint@debian.org>
Changed-By: Niels Thykier <niels@thykier.net>
Description: 
 lintian    - Debian package checker
Closes: 614906 615072 616403 616505 617227 617266 617816 618921 619287 619290 619487
Changes: 
 lintian (2.5.0~rc2) unstable; urgency=low
 .
   Uploading to unstable.
 .
   * Summary of tag changes:
     + Added:
       - unknown-multi-arch-value
       - package-needs-versioned-debhelper-build-depends
     + Removed:
       - old-versioned-python-dependency
 .
   * checks/binaries:
     + [ADB] Update binary-from-other-architecture's tests in line with the
       changes to filename output introduced in 2.5.0~rc1.
       (Closes: #614906)
   * checks/changes-file.desc:
     + [NT] Added oneiric as valid Ubuntu distribution.  Thanks to Benjamin
       Drung for the patch.  (Closes: #617227)
   * checks/deb-format:
     + [NT] Removed assumption that there was always a changelog in a binary
       with a data.tar.lzma member.
   * checks/debhelper:
     + [NT] Reduced package-lacks-versioned-build-depends-on-debhelper to a
       pedantic tag.  It is now only emitted for debhelper compat levels of
       7 or less, since even oldstable ships with debhelper 7.
     + [NT] Added package-needs-versioned-debhelper-build-depends, which
       replaces package-lacks-versioned-build-depends-on-debhelper old
       task of warning if a missing versioned depends may lead to a build
       failure.  Currently this is only emitted for compat 8 (or higher).
     + [NT] Stopped emitting tags for using dh_* (and dh) if these scripts
       is in debhelper 7 (or earlier).
   * checks/fields{,.desc}:
     + [NT] Recognise Multi-Arch as a known binary field.  (Closes: #617816)
     + [NT] Fixed typo in a tag description.
     + [NT] Removed old-versioned-python-dependency per request of the
       Python team.  The tag was outdated and most instances of it was
       false positives.  Thanks to Piotr Ożarowski and Jakub Wilk for
       the report and clarification.  (Closes: #619487)
     + [NT] Accepted patch from Joachim Breitner to support new Haskell
       package naming scheme.
     + [NT] Added Built-Using as a known binary and udeb field.  This
       field is supported with dpkg 1.16.0.
   * checks/files:
     + [NT] Also check files in /etc/cron.d for dots in filenames.  Thanks
       to Thijs Kinkhorst for the report and patch.  (Closes: #615072)
     + [NT] Applied patch to also detect copies of CKEditor.  Thanks to
       Jeroen Dekkers for the report and the patch.  (Closes: #616505)
     + [NT] Fixed a regression in caused by inconsistent prefixes.
   * checks/huge-usr-share:
     + [NT] Removed assumption that there is always files in usr/share.
   * checks/menu-format:
     + [NT] Fixed an inconsistency in output of file names.  Thanks to
       أحمد المحمودي (Ahmed El-Mahmoudy) for the report.
       (Closes: #618921)
   * checks/menus:
     + [NT] Fixed check for special files that does not need to be
       registered with doc-base (e.g.  README.html).  Thanks to
       Tanguy Ortolo for the report.  (Closes: #617266)
     + [NT] Accepted patch from Joachim Breitner to support new Haskell
       package naming scheme.  (Closes: #616403)
   * checks/patch-systems.desc:
     + [NT] Reduced unneeded-build-dep-on-quilt to a pedantic tag,
       since some people keep the dependency on quilt to ease
       backporting for older releases.
 .
   * data/changelog-file/ubuntu-dists:
     + [NT] Added oneiric as valid Ubuntu distribution.  Thanks to Benjamin
       Drung for the patch.
   * data/common/source-fields:
     + [NT] Added 'package-list' field, which is emitted by dpkg 1.16.0.
   * data/spelling/corrections:
     + [NT] Added more misspellings.
 .
   * t/tests/shared-libs-la-files:
     + [NT] Fixed an issue where files would not be included in the tarball
       due to dpkg-source's exclude patterns.  (Closes: #619287)
   * t/tests/*:
     + [NT] Modified some versioned dependencies that the new dpkg will
       not consider valid from 1.16.0.  (Closes: #619290)
Checksums-Sha1: 
 6c8f47684bffdcb8b9356d6900a86a4efa631e5c 2337 lintian_2.5.0~rc2.dsc
 0ee05e708490bb4a311da440fac9db9d9101d447 894858 lintian_2.5.0~rc2.tar.gz
 b039433b0173876a591372c5cdeb79ef2c176755 561092 lintian_2.5.0~rc2_all.deb
Checksums-Sha256: 
 dda655f5ff92bb76381d19770e205292634f378b9c18eab085d626df4c7545bf 2337 lintian_2.5.0~rc2.dsc
 9ba30c40668cbb0ede909303016e8dabfb70f7fedca0532a637ab411e3c8e15e 894858 lintian_2.5.0~rc2.tar.gz
 273f5336539337aa55739d7ad563fce51f6d0d55387965fb1600289006626997 561092 lintian_2.5.0~rc2_all.deb
Files: 
 3446baf9c383331d53b02f8198164183 2337 devel optional lintian_2.5.0~rc2.dsc
 f6a7b1f44d7defbd8b36c69b92d48413 894858 devel optional lintian_2.5.0~rc2.tar.gz
 69ca29c492f3600de6e8e8546d50d7a1 561092 devel optional lintian_2.5.0~rc2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNm25FAAoJEAVLu599gGRCRsAP+weHqaCf3IgaBYjZQgC3sv5w
ODaNQmdeKZsd2emrmLMawH16tTXVsM8313CyhH9tkTCHmavrNNldXzY7M0Q+EZI7
HO3zDoPLlXGgfrz3aq1bnqDvtriRw3E71tqlA+55WAM3D57r+wscFHlcI4pcJ1Sf
CjxkOCZCP8FJfR3vTU47imM2YhymGjEUBPifZqT2Vozbc8Qmt4LtLqbKhS52vqBI
6ul5Fo8qQvXjjAwStosY/Ht5h6GcspAC0bAglG9IzRT6wcJ0E4Oy6litWejn9HAY
hbvHYGqnSlooLg+xHiKrrWqTeRAzJSZhhYXDL/PFjnc05eAilbjvZvVVRZb11cI0
kRWoDHEvHHzBYfwZn51s4UDZdpJsYa8qlEFjBBMrIC9rVZfGjql7pD+69L1wqB7Z
rMAv2VdaeuJ90VcF1/P70KTjJcKbXJVwpwH8BnCZUVomt8DBm/moKdSHIZ775Orv
vGMOoqn3u/6aPATASFvDadblqt4ScqhpqDhtjuxnTTWOW14Frq+Jss6rc8jpHx0V
8Y41USh/kKK6TRExpYEmrtTg7Wmv/jAAcrJRnsxtLQ+h1GJuQ4TNc7EqaCt5XLs1
3oDJ2gZauGoP2+YK75XWsrDXu9mOZCjZx87p7KxzvbbKz7KjuN25pNXMEeo3xbZj
4JpPPRaAgd2wJiDCJtI1
=PlZU
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 14 May 2011 07:32:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:32:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.